# MatFDColoringSetFromOptions

Sets coloring finite difference parameters from the options database.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatFDColoringSetFromOptions(MatFDColoring matfd)

Collective on MatFDColoring

The Jacobian, F'(u), is estimated with the differencing approximation

           F'(u)_{:,i} = [F(u+h*dx_{i}) - F(u)]/h where
           h = error_rel*u[i]                 if  abs(u[i]) > umin
             = +/- error_rel*umin             otherwise, with +/- determined by the sign of u[i]
           dx_{i} = (0, ... 1, .... 0)

### Input Parameter

coloring -the coloring context

### Options Database Keys

| -mat_fd_coloring_err <err> | - Sets <err> (square root of relative error in the function)
| -mat_fd_coloring_umin <umin> | - Sets umin, the minimum allowable u-value magnitude
| -mat_fd_coloring_freq <freq> | - Sets frequency of computing a new Jacobian
| -mat_fd_type | - "wp" or "ds" (see MATMFFD_WP or MATMFFD_DS)
| -mat_fd_coloring_view | - Activates basic viewing
| -mat_fd_coloring_view_info | - Activates viewing info
| -mat_fd_coloring_view_draw | - Activates drawing

### Keywords

Mat, finite differences, parameters

### See Also

MatFDColoringCreate(), MatFDColoringView(), MatFDColoringSetParameters()

Level:intermediate
Location: src/mat/matfd/fdmatrix.c
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex26.c.html
src/ts/examples/tutorials/ex7.c.html